Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts
Interface JRMeterPlot

All Superinterfaces:
  java.lang.Cloneable, JRChartPlot, JRCloneable

All Known Implementing Classes:
  JRBaseMeterPlot, JRDesignMeterPlot, JRFillMeterPlot

    public interface JRMeterPlot

extends JRChartPlot

Represents the display options of a Meter Chart. A meter chart consists of a dial, a needle pointing to the current value on the dial, and the value itself. The Meter can be broken up into shaded regions to highlight portions of the range.

Version:
  $Id: JRMeterPlot.java 3565 2010-03-10 11:41:24Z shertage $
Author:
  Barry Klawans (bklawans@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Field Summary
`static byte` | `SHAPE_CHORD` Deprecated. Replaced by `MeterShapeEnum.CHORD`
`static byte` | `SHAPE_CIRCLE` Deprecated. Replaced by `MeterShapeEnum.CIRCLE`
`static byte` | `SHAPE_DIAL` Deprecated. Replaced by `MeterShapeEnum.DIAL`
`static byte` | `SHAPE_PIE` Deprecated. Replaced by `MeterShapeEnum.PIE`

Method Summary
`JRDataRange` | `getDataRange()` Returns the range of values that the Meter can display.
`java.util.List` | `getIntervals()` Returns a list of all the intervals contained in this Meter.
`int` | `getMeterAngle()` Deprecated. Replaced by `getMeterAngleInteger()`
`java.lang.Integer` | `getMeterAngleInteger()` Returns the size of the Meter face in degrees.
`java.awt.Color` | `getMeterBackgroundColor()` Returns the background color of the meter.
`java.awt.Color` | `getNeedleColor()` Returns the color used when drawing the meter's pointer.
`byte` | `getShape()` Deprecated. Replaced by `getShapeValue()`
`java.lang.Byte` | `getShapeByte()` Deprecated. Replaced by `getShapeValue()`
`MeterShapeEnum` | `getShapeValue()` Returns the shape of the Meter.
`java.awt.Color` | `getTickColor()` Returns the color used when drawing tick marks on the meter.
`double` | `getTickInterval()` Deprecated. Replaced by `getTickIntervalDouble()`
`java.lang.Double` | `getTickIntervalDouble()` Returns the spacing between the ticks on the face of the meter.
`JRFont` | `getTickLabelFont()` Returns the font used to write tick labels on the meter.
`java.lang.String` | `getUnits()` Returns the name of the units that the Meter is displaying.
`JRValueDisplay` | `getValueDisplay()` Returns a description of how the value of the Meter is displayed.

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### SHAPE_CHORD

    static final byte SHAPE_CHORD

  Deprecated. Replaced by `MeterShapeEnum.CHORD`
  See Also:
    Constant Field Values

### SHAPE_CIRCLE

    static final byte SHAPE_CIRCLE

  Deprecated. Replaced by `MeterShapeEnum.CIRCLE`
  See Also:
    Constant Field Values

### SHAPE_PIE

    static final byte SHAPE_PIE

  Deprecated. Replaced by `MeterShapeEnum.PIE`
  See Also:
    Constant Field Values

### SHAPE_DIAL

    static final byte SHAPE_DIAL

  Deprecated. Replaced by `MeterShapeEnum.DIAL`
  See Also:
    Constant Field Values

Method Detail

### getDataRange

    JRDataRange getDataRange()

  Returns the range of values that the Meter can display.

  Returns:
    the range of values that the Meter can display

### getValueDisplay

    JRValueDisplay getValueDisplay()

  Returns a description of how the value of the Meter is displayed. This includes any font and color information, the location of the value, a formatting mask and an optional "units" string to append to the value.

  Returns:
    a description of how the value of the Meter is displayed.

### getShape

    byte getShape()

  Deprecated. Replaced by `getShapeValue()`

### getShapeByte

    java.lang.Byte getShapeByte()

  Deprecated. Replaced by `getShapeValue()`

### getShapeValue

    MeterShapeEnum getShapeValue()

  Returns the shape of the Meter. The shape is only relevant if the Meter face is over 180 degrees wide, and controls how the portion of the circle described by the Meter but outside of the Meter is drawn. (If the meter is 240 degrees wide the shape setting controls how the remaining 120 degrees is displayed.)
  The value returned is one of the shape constants defined in `MeterShapeEnum`.

  Returns:
    a description of how the value of the Meter is displayed.

### getIntervals

    java.util.List getIntervals()

  Returns a list of all the intervals contained in this Meter. The return value is never `null` but can be an empty list. Each element in the list is a ``net.sf.jasperreports.charts.util.JRMeterInterval``

  Returns:
    a list of all the intervals contained in this Meter

### getMeterAngle

    int getMeterAngle()

  Deprecated. Replaced by `getMeterAngleInteger()`

### getMeterAngleInteger

    java.lang.Integer getMeterAngleInteger()

  Returns the size of the Meter face in degrees.

  Returns:
    the size of the Meter face in degrees

### getUnits

    java.lang.String getUnits()

  Returns the name of the units that the Meter is displaying. This value will be appended to the value when displayed.

  Returns:
    the name of the units that the Meter is displaying

### getTickInterval

    double getTickInterval()

  Deprecated. Replaced by `getTickIntervalDouble()`

### getTickIntervalDouble

    java.lang.Double getTickIntervalDouble()

  Returns the spacing between the ticks on the face of the meter. The spacing is relative to the range that the meter is displaying - if the range is 0 to 500 and the tick interval is 50 then 10 ticks will be displayed.

  Returns:
    the spacing between the ticks on the face of the meter

### getMeterBackgroundColor

    java.awt.Color getMeterBackgroundColor()

  Returns the background color of the meter. This is the color of the meter's face.

  Returns:
    the background color of the meter.

### getNeedleColor

    java.awt.Color getNeedleColor()

  Returns the color used when drawing the meter's pointer.

  Returns:
    the color used when drawing the meter's pointer

### getTickColor

    java.awt.Color getTickColor()

  Returns the color used when drawing tick marks on the meter.

  Returns:
    the color used when drawing tick marks on the meter

### getTickLabelFont

    JRFont getTickLabelFont()

  Returns the font used to write tick labels on the meter.

  Returns:
    the font used to write tick labels on the meter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com